
def random_starlette_function():
    from starlette.responses import JSONResponse
    from starlette.requests import Request
    from starlette.status import HTTP_200_OK

    def get_user_data(request: Request):
        user_id = request.query_params.get('user_id')
        if user_id:
            return JSONResponse(content={"user_id": user_id}, status_code=HTTP_200_OK)
        else:
            return JSONResponse(content={"error": "User ID is required"}, status_code=HTTP_200_OK)

    return get_user_data



